For the complete documentation index, see llms.txt. This page is also available as Markdown.

Organisations

get

Load all application agents

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
Meeco-Organisation-Idstring · uuidRequired
Responses
200

Applications loaded

application/json
get/applications
GET /applications HTTP/1.1
Host: api-sandbox.svx.exchange
Authorization: Bearer YOUR_SECRET_TOKEN
Meeco-Organisation-Id: 123e4567-e89b-12d3-a456-426614174000
Accept: */*
200

Applications loaded

{
  "applications": [
    {
      "id": "text",
      "name": "text",
      "description": "text",
      "type": "text",
      "secret": "text",
      "scopes": "text",
      "redirects": [
        "text"
      ],
      "logout_redirects": [
        "text"
      ],
      "is_active": true,
      "created_at": "2026-01-01T00:00:00.000Z",
      "updated_at": "2026-01-01T00:00:00.000Z"
    }
  ]
}
post

Create application agent

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
Meeco-Organisation-Idstring · uuidRequired
Body
Responses
201

Application created

application/json
post/applications
POST /applications HTTP/1.1
Host: api-sandbox.svx.exchange
Authorization: Bearer YOUR_SECRET_TOKEN
Meeco-Organisation-Id: 123e4567-e89b-12d3-a456-426614174000
Content-Type: application/json
Accept: */*
Content-Length: 92

{
  "application": {
    "description": "text",
    "name": "text",
    "security_rights": [
      "vk:org:delegation"
    ]
  }
}
201

Application created

{
  "application": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "description": "text",
    "name": "text",
    "security_rights": [
      "vk:org:delegation"
    ]
  }
}
get

Get application agent information

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Header parameters
Meeco-Organisation-Idstring · uuidRequired
Responses
200

One application read

application/json
get/applications/{id}
GET /applications/{id} HTTP/1.1
Host: api-sandbox.svx.exchange
Authorization: Bearer YOUR_SECRET_TOKEN
Meeco-Organisation-Id: 123e4567-e89b-12d3-a456-426614174000
Accept: */*
200

One application read

{
  "application": {
    "id": "text",
    "name": "text",
    "description": "text",
    "type": "text",
    "secret": "text",
    "scopes": "text",
    "redirects": [
      "text"
    ],
    "logout_redirects": [
      "text"
    ],
    "is_active": true,
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z"
  }
}
put

Update application agent

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Header parameters
Meeco-Organisation-Idstring · uuidRequired
Body
Responses
200

Application updated

application/json
put/applications/{id}
PUT /applications/{id} HTTP/1.1
Host: api-sandbox.svx.exchange
Authorization: Bearer YOUR_SECRET_TOKEN
Meeco-Organisation-Id: 123e4567-e89b-12d3-a456-426614174000
Content-Type: application/json
Accept: */*
Content-Length: 52

{
  "application": {
    "description": "text",
    "name": "text"
  }
}
200

Application updated

{
  "application": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "description": "text",
    "name": "text",
    "security_rights": [
      "vk:org:delegation"
    ]
  }
}
delete

Delete application agent

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Header parameters
Meeco-Organisation-Idstring · uuidRequired
Responses
204

Application agent deleted

No content

delete/applications/{id}
DELETE /applications/{id} HTTP/1.1
Host: api-sandbox.svx.exchange
Authorization: Bearer YOUR_SECRET_TOKEN
Meeco-Organisation-Id: 123e4567-e89b-12d3-a456-426614174000
Accept: */*
204

Application agent deleted

No content

View an organisation

get

Show an organisation.

In order to execute this action the current user must have

  • global security atom:global:view_all_orgs or

  • security right atom:tenant:view_tenant_orgs for the tenant

  • security right atom:org:view_org for the org with the ID in parameter org_id

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
org_idstring · uuidRequired

ID of the organisation

Responses
200

Success

application/json
get/orgs/{org_id}
GET /orgs/{org_id} HTTP/1.1
Host: api-sandbox.svx.exchange
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "org": {
    "archived": false,
    "color": "#C0C0C0",
    "id": "9de00c4f-e1d9-4a7e-8b9e-38b3f5648ee2",
    "logo_url": "http://url.to.logo.image.com/logo.jpg",
    "name": "vela",
    "security_rights": [
      "atom:org:assign_org_sr_to_user",
      "atom:org:view_org",
      "atom:org:list_org_admins"
    ],
    "tenant_id": "be2070e5-0510-45a4-8d5b-5817442cdc98",
    "tenant_name": "bhp"
  }
}

Update an organisation

put

Update an organisation.

In order to execute this action the current user must have security right atom:tenant:create_org for the tenant with the ID in parameter tenant_id.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
org_idstring · uuidRequired

ID of the organisation

Body
authorised_officer_emailstringOptional

Authorised officer email

authorised_officer_first_namestringOptional

Authorised officer first name

authorised_officer_last_namestringOptional

Authorised officer last name

business_addressstringOptional

Business address

colorstringOptional

The color associated with the organisation in the hex format. Used for the UI.

company_numberstringOptional

Company number

company_urlstring · uri · nullableOptional

URL of the company

legal_namestringOptional

Legal number

lei_numberstringOptional

Legal entity identification number

logo_urlstring · uriOptional

URL to a logo image

namestringRequired

Name of the organisation to create

status_in_tenantstringOptional

Status: signed legal agreement received or proof of concept

trading_namestringOptional

Trading number

Responses
200

Success

application/json
put/orgs/{org_id}
PUT /orgs/{org_id} HTTP/1.1
Host: api-sandbox.svx.exchange
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 348

{
  "authorised_officer_email": "text",
  "authorised_officer_first_name": "text",
  "authorised_officer_last_name": "text",
  "business_address": "text",
  "color": "text",
  "company_number": "text",
  "company_url": "https://example.com",
  "legal_name": "text",
  "lei_number": "text",
  "logo_url": "https://example.com",
  "name": "text",
  "status_in_tenant": "text",
  "trading_name": "text"
}
{
  "org": {
    "archived": false,
    "color": "#C0C0C0",
    "id": "9de00c4f-e1d9-4a7e-8b9e-38b3f5648ee2",
    "logo_url": "http://url.to.logo.image.com/logo.jpg",
    "name": "vela",
    "security_rights": [
      "atom:org:assign_org_sr_to_user",
      "atom:org:view_org",
      "atom:org:list_org_admins"
    ],
    "tenant_id": "be2070e5-0510-45a4-8d5b-5817442cdc98",
    "tenant_name": "bhp"
  }
}

Delete an organisation

delete

Delete an organisation.

In order to execute this action the current user must have security right atom:tenant:create_org for the tenant of the organisation.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
org_idstring · uuidRequired

ID of the organisation

Responses
200

Success

application/json
delete/orgs/{org_id}
DELETE /orgs/{org_id} HTTP/1.1
Host: api-sandbox.svx.exchange
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

List admins of an organisation

get

List admins of an organisation.

It is also possible to request a list of archived admins of the organisation, that is, users who used to have organisation security rights for the given organisation, but do not have them now.

In order to execute this action the current user must have

  • security right atom:org:list_org_admins for the organisation with the ID in parameter org_id or

  • security right atom:tenant:list_admins_of_all_orgs_of_tenant for the parent tenant of the organisation org_id or

  • global security right `atom:global:list_admins_of_all_orgs

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
org_idstring · uuidRequired

ID of the organisation

Query parameters
statusstring · enumOptional

admin status: active, or archived

Possible values:
emailstringOptional

search admins by their email address. Currenty works only with status=archived

per_pageintegerOptional

number of admins per page

pageintegerOptional

Number of the page to serve. This parameter activates classic page-based pagination and cannot be used with parameter next_page_after which activates cursor-based pagination.

orderstring · enumOptional

order admins by given name in ascending or descending order

Possible values:
next_page_afterstringOptional

When cursor based pagination is used, each paginated response has value next_page_after which, if submitted as a parameter, allows to retrieve the next page. next_page_after is null is there is no next page. next_page_after cannot be used together with parameter page. page activates classic page-based pagination.

Responses
200

Success

application/json
metaobject · ATOMMetaOptional
next_page_afterstring · nullableOptional

A value which allows to retrieve the next page. (Cursor-based pagination)

get/orgs/{org_id}/admins
GET /orgs/{org_id}/admins HTTP/1.1
Host: api-sandbox.svx.exchange
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "admins": [
    {
      "archived": false,
      "email": "peter@peterson.com",
      "family_name": "Peterson",
      "given_name": "Peter",
      "id": "9de00c4f-e1d9-4a7e-8b9e-38b3f5648ee2"
    }
  ],
  "meta": {},
  "next_page_after": "text"
}

Show an admin of a given organisation

get

Show an admin of a given organisation.

In order to execute this action the current user must have

  • security right atom:org:list_org_admins for the organisation with the ID in parameter org_id or

  • security right atom:tenant:list_admins_of_all_orgs_of_tenant for the parent tenant of the organisation org_id or

  • global security right `atom:global:list_admins_of_all_orgs

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
org_idstring · uuidRequired

ID of the organisation

org_admin_idstring · uuidRequired

ID of the admin

Responses
200

Success

application/json
get/orgs/{org_id}/admins/{org_admin_id}
GET /orgs/{org_id}/admins/{org_admin_id} HTTP/1.1
Host: api-sandbox.svx.exchange
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "admin": {
    "archived": false,
    "email": "peter@peterson.com",
    "family_name": "Peterson",
    "given_name": "Peter",
    "id": "9de00c4f-e1d9-4a7e-8b9e-38b3f5648ee2"
  }
}

Remove all organisation security rights from user

delete

Remove all organisation security rights from user.

In order to execute this action the current user must one of the following security rights:

  • atom:global:assign_org_sr_to_user

  • atom:tenant:assign_org_sr_to_user

  • atom:org:assign_org_sr_to_user

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
org_idstring · uuidRequired

ID of the organisation

org_admin_idstring · uuidRequired

ID of the admin

Responses
200

Success

application/json
delete/orgs/{org_id}/admins/{org_admin_id}
DELETE /orgs/{org_id}/admins/{org_admin_id} HTTP/1.1
Host: api-sandbox.svx.exchange
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

Archive an organisation admin

post

Remove a user from admins of the given organisation, and put the admin into the registry of former admins of that organisation.

In order to execute this action the current user must one of the following security rights:

  • atom:global:assign_org_sr_to_user

  • atom:tenant:assign_org_sr_to_user

  • atom:org:assign_org_sr_to_user

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
org_idstring · uuidRequired

ID of the organisation

org_admin_idstring · uuidRequired

ID of the admin

Responses
200

Success

application/json
post/orgs/{org_id}/admins/{org_admin_id}/archive
POST /orgs/{org_id}/admins/{org_admin_id}/archive HTTP/1.1
Host: api-sandbox.svx.exchange
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

Restore an archived organisation admin

post

Reinstate an archived user and make him/her a org admin again.

In order to execute this action the current user must one of the following security rights:

  • atom:org:assign_org_sr_to_user

  • atom:tenant:assign_org_sr_to_user

  • atom:global:assign_org_sr_to_user

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
org_idstring · uuidRequired

ID of the organisation

org_admin_idstring · uuidRequired

ID of the admin

Responses
200

Success

application/json
post/orgs/{org_id}/admins/{org_admin_id}/restore
POST /orgs/{org_id}/admins/{org_admin_id}/restore HTTP/1.1
Host: api-sandbox.svx.exchange
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "admin": {
    "archived": false,
    "email": "peter@peterson.com",
    "family_name": "Peterson",
    "given_name": "Peter",
    "id": "9de00c4f-e1d9-4a7e-8b9e-38b3f5648ee2"
  }
}

List security rights of an organisation admin

get

List organisation security rights of a organisation admin.

In order to execute this action the current user must have security right atom:org:list_org_admin_sr for the organisation with the ID in parameter org_id or atom:tenant:list_org_admin_sr for the tenant that the organisation belongs to, or global security right atom:global:list_admin_sr_of_any_admin"

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
org_idstring · uuidRequired

ID of the organisation

org_admin_idstring · uuidRequired

ID of an organisation admin

Responses
200

Success

application/json
security_rightsstring[]Required

list of security rights

Example: atom:org:assign_org_sr_to_user
get/orgs/{org_id}/admins/{org_admin_id}/security_rights
GET /orgs/{org_id}/admins/{org_admin_id}/security_rights HTTP/1.1
Host: api-sandbox.svx.exchange
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "security_rights": [
    "atom:org:assign_org_sr_to_user",
    "atom:org:view_org",
    "atom:org:list_org_admins"
  ]
}

Assign organisation security rights to a user

post

Assign organisation security rights to a user.

The endpoint can process security rights of 2 categories:

  • for_org = true and for_tenant = false

  • for_org = true and for_tenant = true, in this case the security right will be assigned to the tenant which organisation belongs to

In order to execute this action the current user must have one of the following security rights:

  • security right atom:org:assign_org_sr_to_user for the organisation with the ID in parameter org_id

  • security right atom:tenant:assign_org_sr_to_user for the tenant that the organisation belongs to

  • global security right atom:global:assign_org_sr_to_user"

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
org_idstring · uuidRequired

ID of the organisation

org_admin_idstring · uuidRequired

ID of an organisation admin

Body
security_rightsstring[]Required

list of security rights

Example: atom:org:assign_org_sr_to_user
Responses
200

Success

application/json
post/orgs/{org_id}/admins/{org_admin_id}/security_rights
POST /orgs/{org_id}/admins/{org_admin_id}/security_rights HTTP/1.1
Host: api-sandbox.svx.exchange
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 54

{
  "security_rights": [
    "atom:org:assign_org_sr_to_user"
  ]
}

Archive an organisation

post

Archive an organisation.

In order to execute this action the current user must have security right atom:tenant:create_org for the tenant of the organisation.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
org_idstring · uuidRequired

ID of the organisation

Responses
200

Success

application/json
post/orgs/{org_id}/archive
POST /orgs/{org_id}/archive HTTP/1.1
Host: api-sandbox.svx.exchange
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "org": {
    "archived": false,
    "color": "#C0C0C0",
    "id": "9de00c4f-e1d9-4a7e-8b9e-38b3f5648ee2",
    "logo_url": "http://url.to.logo.image.com/logo.jpg",
    "name": "vela",
    "security_rights": [
      "atom:org:assign_org_sr_to_user",
      "atom:org:view_org",
      "atom:org:list_org_admins"
    ],
    "tenant_id": "be2070e5-0510-45a4-8d5b-5817442cdc98",
    "tenant_name": "bhp"
  }
}

Restore an organisation

post

Restore an organisation.

In order to execute this action the current user must have security right atom:tenant:create_org for the tenant of the organisation.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
org_idstring · uuidRequired

ID of the organisation

Responses
200

Success

application/json
post/orgs/{org_id}/restore
POST /orgs/{org_id}/restore HTTP/1.1
Host: api-sandbox.svx.exchange
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "org": {
    "archived": false,
    "color": "#C0C0C0",
    "id": "9de00c4f-e1d9-4a7e-8b9e-38b3f5648ee2",
    "logo_url": "http://url.to.logo.image.com/logo.jpg",
    "name": "vela",
    "security_rights": [
      "atom:org:assign_org_sr_to_user",
      "atom:org:view_org",
      "atom:org:list_org_admins"
    ],
    "tenant_id": "be2070e5-0510-45a4-8d5b-5817442cdc98",
    "tenant_name": "bhp"
  }
}

Add security rights to an organisation

post

Add security rights to an organisation.

In order to execute this action the current user must have security right atom:tenant:assign_sr_to_org for the tenant which the organisation belongs to.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
org_idstring · uuidRequired

ID of the organisation

Body
security_rightsstring[]Required

list of security rights

Example: atom:org:assign_org_sr_to_user
Responses
200

Success

application/json
post/orgs/{org_id}/security_rights
POST /orgs/{org_id}/security_rights HTTP/1.1
Host: api-sandbox.svx.exchange
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 54

{
  "security_rights": [
    "atom:org:assign_org_sr_to_user"
  ]
}
{
  "org": {
    "archived": false,
    "color": "#C0C0C0",
    "id": "9de00c4f-e1d9-4a7e-8b9e-38b3f5648ee2",
    "logo_url": "http://url.to.logo.image.com/logo.jpg",
    "name": "vela",
    "security_rights": [
      "atom:org:assign_org_sr_to_user",
      "atom:org:view_org",
      "atom:org:list_org_admins"
    ],
    "tenant_id": "be2070e5-0510-45a4-8d5b-5817442cdc98",
    "tenant_name": "bhp"
  }
}

Remove security rights from an organisation

delete

Remove security rights from an organisation.

In order to execute this action the current user must have security right atom:tenant:assign_sr_to_org for the tenant which the organisation belongs to.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
org_idstring · uuidRequired

ID of the organisation

security_rightsstringRequired

Comma-separated security rights to remove

Responses
200

Success

application/json
delete/orgs/{org_id}/security_rights/{security_rights}
DELETE /orgs/{org_id}/security_rights/{security_rights} HTTP/1.1
Host: api-sandbox.svx.exchange
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

List organisation in a tenant

get

List organisations in a tenant.

In order to execute this action the current user must have global security atom:global:view_all_orgs or security right atom:tenant:view_tenant_orgs for the tenant with the ID in parameter tenant_id.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
tenant_idstring · uuidRequired

ID of the tenant

Query parameters
statusstring · enumOptional

org status: active, archived, or all

Possible values:
per_pageintegerOptional

number of organisations per page

orderstring · enumOptional

order organisations by name in ascending or descending order

Possible values:
pageintegerOptional

Number of the page to serve. This parameter activates classic page-based pagination and cannot be used with parameter next_page_after which activates cursor-based pagination.

next_page_afterstringOptional

When cursor based pagination is used, each paginated response has value next_page_after which, if submitted as a parameter, allows to retrieve the next page. next_page_after is null is there is no next page. next_page_after cannot be used together with parameter page. page activates classic page-based pagination.

filter_bystringOptional

Search organisations whose names contains the given string.

Responses
200

Success

application/json
metaobject · ATOMMetaOptional
next_page_afterstring · nullableOptional

A value which allows to retrieve the next page. (Cursor-based pagination)

get/tenants/{tenant_id}/orgs
GET /tenants/{tenant_id}/orgs HTTP/1.1
Host: api-sandbox.svx.exchange
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "meta": {},
  "next_page_after": "text",
  "orgs": [
    {
      "archived": false,
      "color": "#C0C0C0",
      "id": "9de00c4f-e1d9-4a7e-8b9e-38b3f5648ee2",
      "logo_url": "http://url.to.logo.image.com/logo.jpg",
      "name": "vela",
      "security_rights": [
        "atom:org:assign_org_sr_to_user",
        "atom:org:view_org",
        "atom:org:list_org_admins"
      ],
      "tenant_id": "be2070e5-0510-45a4-8d5b-5817442cdc98",
      "tenant_name": "bhp"
    }
  ]
}

Create an organisation

post

Create an organisation.

In order to execute this action the current user must have security right atom:tenant:create_org for the tenant with the ID in parameter tenant_id.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
tenant_idstring · uuidRequired

ID of the tenant

Query parameters
no_first_userbooleanOptional

If true, the current user will not become the first admin of the organisation, and the organisation will have not admins. By default the current user becomes the first admin of the organisation

add_all_external_security_rightsbooleanOptional

By default only all internal org-level security rights of the parent tenant are added to a new organisation If this parameter is true, also all external org-level security rights of the parent tenant are added to a new organisation.

Body
authorised_officer_emailstringOptional

Authorised officer email

authorised_officer_first_namestringOptional

Authorised officer first name

authorised_officer_last_namestringOptional

Authorised officer last name

business_addressstringOptional

Business address

colorstringOptional

The color associated with the organisation in the hex format. Used for the UI.

company_numberstringOptional

Company number

company_urlstring · uri · nullableOptional

URL of the company

legal_namestringOptional

Legal number

lei_numberstringOptional

Legal entity identification number

logo_urlstring · uriOptional

URL to a logo image

namestringRequired

Name of the organisation to create

status_in_tenantstringOptional

Status: signed legal agreement received or proof of concept

trading_namestringOptional

Trading number

Responses
200

Success

application/json
post/tenants/{tenant_id}/orgs
POST /tenants/{tenant_id}/orgs HTTP/1.1
Host: api-sandbox.svx.exchange
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 348

{
  "authorised_officer_email": "text",
  "authorised_officer_first_name": "text",
  "authorised_officer_last_name": "text",
  "business_address": "text",
  "color": "text",
  "company_number": "text",
  "company_url": "https://example.com",
  "legal_name": "text",
  "lei_number": "text",
  "logo_url": "https://example.com",
  "name": "text",
  "status_in_tenant": "text",
  "trading_name": "text"
}
{
  "org": {
    "archived": false,
    "color": "#C0C0C0",
    "id": "9de00c4f-e1d9-4a7e-8b9e-38b3f5648ee2",
    "logo_url": "http://url.to.logo.image.com/logo.jpg",
    "name": "vela",
    "security_rights": [
      "atom:org:assign_org_sr_to_user",
      "atom:org:view_org",
      "atom:org:list_org_admins"
    ],
    "tenant_id": "be2070e5-0510-45a4-8d5b-5817442cdc98",
    "tenant_name": "bhp"
  }
}

Show a list of organisations which current user can see.

get

Show a list of organisations which the current user can see. These are the following organisations:

  • If the current user has global security right atom:global:view_all_tenants, all organisations are shown

  • Organisations of all tenants for which the current user has tenant security right atom:tenant:view_tenant_orgs

  • Organisations for which current user is an admin and has security right atom:org:view_org

Can take optional parameter tenant_id which will restrict the list of organisations to one tenant only.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
tenant_idstring · uuidOptional

This parameter is the ID of a tenant and if present it restricts the list of organisations to one tenant only.

Responses
200

Success

application/json
get/visible_orgs
GET /visible_orgs HTTP/1.1
Host: api-sandbox.svx.exchange
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "orgs": [
    {
      "archived": false,
      "color": "#C0C0C0",
      "id": "9de00c4f-e1d9-4a7e-8b9e-38b3f5648ee2",
      "logo_url": "http://url.to.logo.image.com/logo.jpg",
      "name": "vela",
      "security_rights": [
        "atom:org:assign_org_sr_to_user",
        "atom:org:view_org",
        "atom:org:list_org_admins"
      ],
      "tenant_id": "be2070e5-0510-45a4-8d5b-5817442cdc98",
      "tenant_name": "bhp"
    }
  ]
}

Last updated